<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Menu?>
<?import javafx.scene.control.MenuBar?>
<?import javafx.scene.control.MenuItem?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TabPane?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.RowConstraints?>

<AnchorPane fx:id="mainAnchorPane" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="400.0" prefWidth="600.0" stylesheets="@../../Stylesheets/bootstrap.css" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="seng302.GUI.Admin.AdminSceneController">
    <BorderPane prefHeight="200.0" prefWidth="200.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
        <center>
            <TabPane fx:id="adminTabPane" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" minHeight="-Infinity" minWidth="-Infinity" tabClosingPolicy="UNAVAILABLE" BorderPane.alignment="CENTER">
                <Tab fx:id="rolesTab" style="-fx-background-color: #FFFFFF;" text="Modify Accounts">
                    <AnchorPane prefHeight="200.0" prefWidth="200.0">
                        <fx:include fx:id="adminRolesTab" source="adminRolesTab.fxml" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0" />
                    </AnchorPane>
                </Tab>
                <Tab fx:id="profileSearchTab" style="-fx-background-color: #FFFFFF;" text="Profile Search">
                    <AnchorPane>
                        <fx:include fx:id="clinicianSearchTab" source="../Clinician/clinicianSearchTab.fxml" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0" />
                    </AnchorPane>
                </Tab>
                <Tab fx:id="clinicianTransplantWaitingTab" style="-fx-background-color: #FFFFFF;" text="Transplant Waiting List">
                    <fx:include fx:id="clinicianTransplantWaiting" source="../Clinician/clinicianTransplantWaitingTab.fxml" />
                </Tab>
                <Tab fx:id="gMapTab" style="-fx-background-color: #FFFFFF;" text="Hospital Map">
                    <fx:include fx:id="gMap" source="../Map/gMap.fxml" />
                </Tab>
            </TabPane>
        </center>
        <top>
            <GridPane maxHeight="-Infinity" prefHeight="35.0" style="-fx-background-color: #FFFFFF;" BorderPane.alignment="CENTER">
                <columnConstraints>
                    <ColumnConstraints hgrow="SOMETIMES" maxWidth="-Infinity" minWidth="-Infinity" prefWidth="150.0" />
                    <ColumnConstraints hgrow="SOMETIMES" maxWidth="1460.0" minWidth="10.0" percentWidth="50.0" prefWidth="1382.0" />
                </columnConstraints>
                <rowConstraints>
                    <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
                </rowConstraints>
                <MenuBar style="-fx-background-color: #FFFFFF;">
                    <Menu mnemonicParsing="false" text="File">
                        <MenuItem fx:id="loadCsvMenuItem" mnemonicParsing="false" onAction="#loadCsvEvent" text="Load CSV" />
                        <MenuItem mnemonicParsing="false" onAction="#logoutEvent" text="Logout" />
                    </Menu>
                    <Menu mnemonicParsing="false" text="Terminal">
                        <MenuItem mnemonicParsing="false" onAction="#openTerminal" text="Open" />
                    </Menu>

                </MenuBar>
                <HBox prefHeight="0.0" prefWidth="100.0" spacing="5.0" style="-fx-background-color: #FFFFFF;" GridPane.columnIndex="1">
                    <padding>
                        <Insets top="5.0" />
                    </padding>
                    <Button fx:id="undo" mnemonicParsing="false" text="Undo">
                  <HBox.margin>
                     <Insets />
                  </HBox.margin></Button>
                    <Button fx:id="redo" mnemonicParsing="false" text="Redo">
                  <HBox.margin>
                     <Insets />
                  </HBox.margin></Button>
                </HBox>
            </GridPane>
        </top>
    </BorderPane>
</AnchorPane>
